## dask 2023.12.1+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going
SPHINXBUILD   = sphinx-build
PYTEST        = pytest
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* source/generated/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dask.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dask.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dask"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dask"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	# Preferring pytest check-links over sphinx due to rate limiting issue: https://github.com/sphinx-doc/sphinx/issues/7388
	# $(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	$(PYTEST) --check-links --check-links-cache
	@echo
	@echo "Link check complete; look for any errors in the above output "

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
dask (2023.12.1+dfsg-2) unstable; urgency=medium

  * Build-depend on dask.distributed (needed to build -1 without this for
    bootstrapping)

 -- Julian Gilbey <jdg@debian.org>  Wed, 03 Jan 2024 21:34:32 +0000

dask (2023.12.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version (closes: #1053947, #1056239)
  * Skip test known to fail on Python 3.12

 -- Julian Gilbey <jdg@debian.org>  Tue, 02 Jan 2024 21:51:10 +0000

=== debian/control ===
Source: dask
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               node-js-yaml <!nodoc>,
               pybuild-plugin-pyproject,
               python-asyncssh-doc <!nodoc>,
               python-pandas-doc <!nodoc>,
               python3-all,
               python3-cloudpickle <!nodoc>,
               python3-dask-sphinx-theme (>= 3.0.5-2) <!nodoc>,
               python3-distributed (>= 2023.12.1) <!nodoc>,
               python3-fsspec,
               python3-importlib-metadata <!nodoc>,
               python3-ipython <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-pandas (>= 1.3) <!nodoc>,
               python3-partd <!nodoc>,
               python3-scipy <!nodoc>,
               python3-setuptools,
#               python3-sparse (>= 0.11) <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-click <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinx-remove-toctrees <!nodoc>,
               python3-sphinx-tabs <!nodoc>,
               python3-toolz <!nodoc>,
               python3-versioneer,
               sphinx-common,
               tzdata-legacy,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/dask
Vcs-Git: https://salsa.debian.org/python-team/packages/dask.git
Homepage: https://github.com/dask/dask
Rules-Requires-Root: no

Package: python3-dask
Architecture: all
Depends: python3-fsspec,
         python3-toolz,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-cloudpickle,
            python3-numpy,
            python3-pandas,
            python3-partd,
            python3-requests
Suggests: ipython,
          python-dask-doc <!nodoc>,
          python3-blosc,
          python3-boto,
          python3-distributed,
          python3-graphviz,
          python3-h5py,
          python3-jinja2,
          python3-psutil,
          python3-scipy,
          python3-skimage,
          python3-sklearn,
          python3-sqlalchemy,
          python3-tables
Description: Minimal task scheduling abstraction for Python 3
 Dask is a flexible parallel computing library for analytics,
 containing two components.
 .
 1. Dynamic task scheduling optimized for computation. This is similar
 to Airflow, Luigi, Celery, or Make, but optimized for interactive
 computational workloads.
 2. "Big Data" collections like parallel arrays, dataframes, and lists
 that extend common interfaces like NumPy, Pandas, or Python iterators
 to larger-than-memory or distributed environments. These parallel
 collections run on top of the dynamic task schedulers.
 .
 This contains the Python 3 version.

Package: python-dask-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         node-js-yaml,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Minimal task scheduling abstraction documentation
 Dask is a flexible parallel computing library for analytics,
 containing two components.
 .
 1. Dynamic task scheduling optimized for computation. This is similar
 to Airflow, Luigi, Celery, or Make, but optimized for interactive
 computational workloads.
 2. "Big Data" collections like parallel arrays, dataframes, and lists
 that extend common interfaces like NumPy, Pandas, or Python iterators
 to larger-than-memory or distributed environments. These parallel
 collections run on top of the dynamic task schedulers.
 .
 This contains the documentation
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dask
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=http://127.0.0.1:9
override_dh_auto_build: export https_proxy=https://127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html || true
	rm -rf docs/build/html/_static/__pycache__
endif

# Test needs: skimage, scipy, s3fs, cachey, distributed, graphviz
# dask is a build-dep for distributed... so we can't run tests at build
.PHONY: override_dh_auto_test

override_dh_auto_install:
	dh_auto_install
	dh_link
	chmod a-x debian/python3-dask/usr/lib/python3*/dist-packages/dask/dataframe/io/orc/utils.py

override_dh_installchangelogs:
	dh_installchangelogs docs/source/changelog.rst

# Upstream provides these files separately from the source tree
# but they're needed to build the documentation.
update_yaml_files:
	curl -L -o debian/dask-config-blocks/dask.yaml https://raw.githubusercontent.com/dask/dask/master/dask/dask.yaml
	curl -L -o debian/dask-config-blocks/dask-schema.yaml https://raw.githubusercontent.com/dask/dask/master/dask/dask-schema.yaml
	curl -L -o debian/dask-config-blocks/distributed.yaml https://raw.githubusercontent.com/dask/distributed/master/distributed/distributed.yaml
	curl -L -o debian/dask-config-blocks/distributed-schema.yaml https://raw.githubusercontent.com/dask/distributed/master/distributed/distributed-schema.yaml

=== debian/tests/control ===
Tests: run-test
Depends: python3-aiohttp,
         python3-all,
         python3-blosc,
         python3-boto,
         python3-cloudpickle,
         python3-distributed (>= 2023.12.1),
         python3-fsspec,
         python3-graphviz,
         python3-h5py,
         python3-ipython,
         python3-numpy,
         python3-packaging,
         python3-pandas,
         python3-partd,
         python3-psutil,
         python3-pytest,
         python3-pytest-timeout,
         python3-requests,
         python3-scipy,
         python3-skimage,
         python3-sklearn,
         python3-sqlalchemy,
         python3-tables,
         python3-tk,
         python3-yaml,
         tzdata-legacy,
         @
Restrictions: allow-stderr

## dask 2024.5.2+dfsg

=== debian/changelog ===
dask (2024.5.2+dfsg-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * New upstream version 2024.5.2+dfsg
    Closes: #1068422, #1069821, #1069359
  * ignore_some_sphinx_packages: patch refreshed.
  * force-little-endian-random.patch: remove, issue fixed upstream.
  * Unfuzz patches.
  * Delete unused patches.
  * fix-test_accessors.patch: new.
  * d/copyright: fix a file statement causing a spurious lintian warning.

  [ Diane Trout ]
  * Refresh use-local-intersphinx.patch
  * Add python-fsspec-doc and python3-doc for local object.inv files
  * Cache Xarray logo in _images/Xarray_Logo_RGB_Final.png to avoid
    privacy breach
  * Add disable-dask-expr-docs.patch (Closes: #1073183)
    Trying to autogenerate the api for a library that's not available in
    Debian caused sphinx-build to fail without generating any html files.
  * Add a minimal check in d/rules to make sure that at least some
    documentation was built.
  * Oops. Use the longer more descriptive name.
    I started with one name and then changed it and did all my test builds
    before cleaning up the "unused" files.

  [ Étienne Mollier ]
  * cleanup-some-privacy-breaches.patch: new.
    This cleans up some privacy breaches in dask documentation,
    essentially where online resources do not bring much to the
    comprehension.
  * d/control: declare compliance to standards version 4.7.0.
  * d/README.source: document keeping dask.distributed synchronized.
  * d/rules: remove spurious license file tripping lintian.

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Jun 2024 20:20:55 +0200

dask (2024.1.1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Detiste ]
  * New upstream release
  * Suggests: python3-boto3 instead of python3-boto
  * Refresh use-youtube-nocookie.patch

  [ Jeremy Bícha ]
  * Refresh patch
  * Drop patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 08:32:03 -0400

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dask-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=auto" \
    https://github.com/dask/dask/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## dask 2024.12.1+dfsg

=== debian/changelog ===
dask (2024.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip test_reductions_out[product] with numpy >= 2 (closes: #1095019).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Feb 2025 10:15:05 +0000

dask (2024.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Add support for Python 3.13 (closes: #1088234).
  * Disable dask theme for now, until #1085947 is fixed (closes: #1091016).
  * Skip some tests that require pyarrow.
  * Don't fail test_nanquantile_all_nan if RuntimeWarning is not raised.

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Jan 2025 15:41:08 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,12 @@
                pybuild-plugin-pyproject,
                python-asyncssh-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
+               python-fsspec-doc <!nodoc>,
                python3-all,
                python3-cloudpickle <!nodoc>,
                python3-dask-sphinx-theme (>= 3.0.5-2) <!nodoc>,
                python3-distributed (>= 2023.12.1) <!nodoc>,
+               python3-doc <!nodoc>,
                python3-fsspec,
                python3-importlib-metadata <!nodoc>,
                python3-ipython <!nodoc>,
@@ -32,7 +34,7 @@
                python3-versioneer,
                sphinx-common,
                tzdata-legacy,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask.git
 Homepage: https://github.com/dask/dask
@@ -52,7 +54,7 @@
 Suggests: ipython,
           python-dask-doc <!nodoc>,
           python3-blosc,
-          python3-boto,
+          python3-boto3,
           python3-distributed,
           python3-graphviz,
           python3-h5py,

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,11 @@
 	dh_auto_build
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html || true
+	if [ \! -f docs/build/html/index.html ]; then \
+	    echo "sphinx documentation build completely failed"; \
+	    exit 1; \
+	fi
+	cp debian/_images/Xarray_Logo_RGB_Final.png docs/build/html/_images/
 	rm -rf docs/build/html/_static/__pycache__
 endif
 
@@ -31,6 +36,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs docs/source/changelog.rst
 
+execute_after_dh_installdocs:
+	rm -vf debian/python-dask-doc/usr/share/doc/python-dask-doc/html/_static/vendor/fontawesome/*/LICENSE.txt
+
 # Upstream provides these files separately from the source tree
 # but they're needed to build the documentation.
 update_yaml_files:

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Depends: python3-aiohttp,
          python3-all,
          python3-blosc,
-         python3-boto,
+         python3-boto3,
          python3-cloudpickle,
          python3-distributed (>= 2023.12.1),
          python3-fsspec,

## dask deltasharing1111-0.0.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.8
# by the following command:
#
#    pip-compile pyproject.toml
#
aiohttp==3.8.3
    # via delta-sharing
aiosignal==1.3.1
    # via aiohttp
async-timeout==4.0.2
    # via aiohttp
attrs==22.1.0
    # via aiohttp
certifi==2022.12.7
    # via requests
charset-normalizer==2.1.1
    # via
    #   aiohttp
    #   requests
delta-sharing==0.6.0
    # via dask_deltasharing1111 (pyproject.toml)
frozenlist==1.3.3
    # via
    #   aiohttp
    #   aiosignal
fsspec==2022.11.0
    # via delta-sharing
idna==3.4
    # via
    #   requests
    #   yarl
multidict==6.0.3
    # via
    #   aiohttp
    #   yarl
numpy==1.23.5
    # via
    #   pandas
    #   pyarrow
pandas==1.5.2
    # via delta-sharing
pyarrow==10.0.1
    # via delta-sharing
python-dateutil==2.8.2
    # via pandas
pytz==2022.6
    # via pandas
requests==2.28.1
    # via delta-sharing
six==1.16.0
    # via python-dateutil
urllib3==1.26.13
    # via requests
yarl==1.8.2
    # via
    #   aiohttp
    #   delta-sharing

## dask histogram-0.2.2

=== docs/requirements.txt ===
dask[dataframe]
sphinx
autodocsumm
dask-sphinx-theme
